---
title: Services
menu: true
class: services
layout: services.njk
order: 4
heading: We build better.
chapeau: "We help established publishers improve existing workflows and new entrants explore new ways to publish. We build better, in less time and for less money."
---
<!-- ## We are experts in publishing technology and development. We help established publishers improve existing workflows and new entrants explore new ways to publish. Our services include: -->

## Our services include

<ul class="phasing">
<li><h3 id="phase-1%3A-optimize-and-design">Phase 1: Optimize and design</h3>
<ul>
<li>We can optimise your workflow and tools.</li>
<li>We can facilitate co-creation with your design team.</li>
</ul>
</li><li><h3 id="phase-2%3A-build-and-manage">Phase 2: Build and manage</h3>
<ul>
<li>We can build platforms and components across the publishing spectrum.</li>
<li>We can manage development, integration, and deployment.</li>
</ul>
</li><li><h3 id="phase-3%3A-host-and-maintain">Phase 3: Host and maintain</h3>
<ul>
<li>We can provide cost-efficient hosting services.</li>
<li>We can maintain your platform.</li>
</ul></li>
</ul>

<!-- ### Phase 1: Optimize and design -->

<!-- - We can optimise your workflow and tools. -->
<!-- - We can facilitate co-creation with your design team. -->

<!-- ### Phase 2: Build and manage -->

<!-- - We can build platforms and components across the publishing spectrum. -->
<!-- - We can manage development, integration, and deployment. -->

<!-- ### Phase 3: Host and maintain -->

<!-- - We can provide cost-efficient hosting services. -->
<!-- - We can maintain your platform. -->

> While we add value along the entire process, truth be told where we add enduring value is as platform architects.

## Our architects have publishing in their blood

They know the industry and can speak your language. This saves time and money and ensures that they have an intimate understanding of the problems you seek to address.

## Collaboration is at the core

They are really good at co-creation. They understand that in order to design new workflows you need to understand the organisation’s legacy, culture, and ambitions.

## They put the user at the centre

They understand that it’s only a great product/service if it gets used.

## They have laser-like focus

They are good at zooming in on the heart of the matter, which means they bring clarity and focus to a project.

## They know a lot about development

They consult with developers during the design process and understand the consequences of the solutions that they design. This means the architecture they recommend is both achievable and practical.

## How we work

### We can take the problem off your hands:

- Give us the project and we’ll manage every aspect of the process from start to finish.
- We can collaborate with your team.
- We can manage your team to build new tools or extend existing Coko products.

### We are really good at what we do:

- We know publishing inside and out.
- We bring creative solutions to the table.
- We are well known for our innovative approach

### We know how to use technology:

- Sector leaders in open source
- Expert, professional developers
